org.apache.ignite.internal.processors.cache.distributed.dht.preloader

## Class GridDhtPartitionDemander

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.distributed.dht.preloader.GridDhtPartitionDemander

    public class GridDhtPartitionDemander
    extends Object

Thread pool for requesting partitions from other nodes and populating local cache.

### Nested Class Summary

Nested Classes
`static class` `GridDhtPartitionDemander.RebalanceFuture`

### Constructor Summary

Constructors
Constructor and Description
`GridDhtPartitionDemander(GridCacheContext<?,?> cctx, ReadWriteLock demandLock)`

### Method Summary

Methods
`void` `handleSupplyMessage(int idx, UUID id, GridDhtPartitionSupplyMessageV2 supply)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridDhtPartitionDemander

    public GridDhtPartitionDemander(GridCacheContext<?,?> cctx,
                            ReadWriteLock demandLock)

Parameters:
  `cctx` - Cctx.
  `demandLock` - Demand lock.

### Method Detail

#### handleSupplyMessage

    public void handleSupplyMessage(int idx,
                           UUID id,
                           GridDhtPartitionSupplyMessageV2 supply)

Parameters:
  `idx` - Index.
  `id` - Node id.
  `supply` - Supply.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.5.0-b1
Release Date | : December 1 2015